Summary: An Internet Relay Chat (irc) client for KDE.
Name: kvirc
Version: 2.1.0
Release: 2
Group: Applications/Internet
Copyright: GPL
Source: ftp://ftp.kvirc.net/kvirc/2.1.0/source/%{name}-%{version}.tar.gz
Patch1: kvirc-2.0.0-gcc.patch
URL: http://www.kvirc.net/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: qt-devel >= 2.1
Prefix: %{_prefix}
Prereq: /sbin/ldconfig

%description
KVirc is a powerful Internet Relay Chat (irc) client for the K Desktop
Environment (KDE).  KVirc allows you to connect to chat servers, so
you can visit online chat rooms.  You'll need to have X and KDE
installed in order to use KVirc.


%prep
%setup -q
%patch1 -p1 -b .gcc

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export MOC=$QTDIR/bin/moc
export FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"
cp -f /usr/share/libtool/config.* .
CXXFLAGS="$FLAGS" ./configure --prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}/man1

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	     $RPM_BUILD_DIR/file.list.%{name} 
find . -type f | grep -v "man/man" | sed -e 's|^\.|\%attr(-,root,root) |' \
       -e '/\/config\//s|^|%config|' >> \
       $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
      	$RPM_BUILD_DIR/file.list.%{name}      

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name}
%defattr (-,root,root)
%{_mandir}/man?/* 

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- updated to 2.1.0

* Fri Jan 12 2001 Than Ngo <than@redhat.com>
- fixed to build on ia64 machine

* Fri Nov 10 2000 Than Ngo <than@redhat.com>
- rebuilt against KDE2 final, KDE2 in 7.1 now under /usr
- don't use make -j
- clean up specfile

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- add ldconfig in %post and %postun (Bug #15052)
- add /sbin/ldconfig in Prereq
- add BuildPrereq

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- update to 2.0.0 for 7.0
- clean up specfile
- fix to build with new libstdc++

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- stip binaries, gzip man pages

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- upgraded to 1.0.0

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.9.0 for powertools 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package
